# Class webdriver.stacktrace.Frame

code »

Class representing one stack frame.

## Constructor

webdriver.stacktrace.Frame ( context, name, alias, path )

Parameters

context: `(string|undefined)`
  Context object, empty in case of global functions or if the browser doesn't provide this information.
name: `(string|undefined)`
  Function name, empty in case of anonymous functions.
alias: `(string|undefined)`
  Alias of the function if available. For example the function name will be 'c' and the alias will be 'b' if the function is defined as `a.b = function c() {};`.
path: `(string|undefined)`
  File path or URL including line number and optionally column number separated by colons.

Show:PublicProtectedPrivate

## Instance Methods

code » getColumn ( ) ⇒ `number`

Returns

The column number if known and -1 if it is unknown.

code » getLine ( ) ⇒ `number`

Returns

The line number if known or -1 if it is unknown.

code » getName ( ) ⇒ `string`

Returns

The function name or empty string if the function is anonymous and the object field which it's assigned to is unknown.

code » getUrl ( ) ⇒ `string`

Returns

The url or empty string if it is unknown.

code » isAnonymous ( ) ⇒ `boolean`

Returns

Whether the stack frame contains an anonymous function.

code » toString ( ) ⇒ `string`

Converts this frame to its string representation using V8's stack trace format: http://code.google.com/p/v8/wiki/JavaScriptStackTraceApi

Returns

The string representation of this frame.

## Instance Properties

code » alias_ : `string`
code » column : `NaN`
code » column_ : `number`
code » context_ : `string`
code » line_ : `number`
code » name_ : `string`
code » path_ : `string`
code » url_ : `string`